/**
* DevExtreme (core/templates/template.d.ts)
* Version: 19.2.5 (build 19365-1131)
* Build date: Tue Dec 31 2019
*
* Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/** Warning! Do not import this directly */
export interface dxTemplateOptions {
    /**
     * @docid dxTemplateOptions.name
     * @type string
     * @prevFileNamespace DevExpress.core
     * @public
     */
    name?: string;
}
/** A custom template's markup. */
export type dxTemplate = Template;
/** Warning! Do not import this directly */
export class Template {
    constructor(options?: dxTemplateOptions)
}

/** A template notation used to specify templates for widget elements. */
export type template = string | Function | Element | JQuery;
