/**
* DevExtreme (ui/dialog.d.ts)
* Version: 19.2.5 (build 19365-1131)
* Build date: Tue Dec 31 2019
*
* Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    JQueryPromise
} from '../common';

import {
    dxButtonOptions
} from './button';

/** Displays an alert dialog with a message and OK button. */
export function alert(messageHtml: string, title: string): Promise<void> & JQueryPromise<void>;

/** Creates a confirmation dialog with a message and Yes and No buttons. */
export function confirm(messageHtml: string, title: string): Promise<boolean> & JQueryPromise<boolean>;

/** Creates a dialog with custom buttons. */
export function custom(options: { title?: string, messageHtml?: string, buttons?: Array<dxButtonOptions>, showTitle?: boolean, message?: string, dragEnabled?: boolean }): any;


