/**
* DevExtreme (ui/tooltip.d.ts)
* Version: 19.2.5 (build 19365-1131)
* Build date: Tue Dec 31 2019
*
* Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import dxPopover, {
    dxPopoverOptions
} from './popover';

/** Warning! Do not import this directly */
export interface dxTooltipOptions extends dxPopoverOptions<dxTooltip> {
}
/** The Tooltip widget displays a tooltip for a specified element on the page. */
export default class dxTooltip extends dxPopover {
    constructor(element: Element, options?: dxTooltipOptions)
    constructor(element: JQuery, options?: dxTooltipOptions)
}

declare global {
interface JQuery {
    dxTooltip(): JQuery;
    dxTooltip(options: "instance"): dxTooltip;
    dxTooltip(options: string): any;
    dxTooltip(options: string, ...params: any[]): any;
    dxTooltip(options: dxTooltipOptions): JQuery;
}
}
/** Warning! Do not import this directly */
export type Options = dxTooltipOptions;

/** @deprecated use Options instead */
/** Warning! Do not import this directly */
export type IOptions = dxTooltipOptions;